# Package org.apache.sysds.runtime.controlprogram.federated

Class Summary
ExecutionContextMap
FederatedData
FederatedLocalData
FederatedRange
FederatedRequest
FederatedResponse
FederatedUDF
FederatedWorker
FederatedWorkerHandler
FederationMap
FederationUtils

Enum Summary
FederatedRequest.RequestType
FederatedResponse.ResponseType
FederationMap.FPartitioning
FederationMap.FReplication
FederationMap.FType

Exception Summary
FederatedWorkerHandlerException: Exception to throw when an exception occurs in FederatedWorkerHandler during handling of FederatedRequest.